Hello Guest it is January 20, 2022, 08:25:58 PM

Author Topic: Mach4Hobby_Installer-4.2.0.4612 update issue  (Read 324 times)

0 Members and 1 Guest are viewing this topic.

Mach4Hobby_Installer-4.2.0.4612 update issue
« on: May 10, 2021, 09:14:33 AM »
I updated to version 4.2.0.4612 from 4.2.0.4300. Now I can't load screens. I get this message:

Mach4gui Error
Unexpected Exception has occurred: bad allocation, the program will terminate.

I switched back to .4300 and all is well. Any help would be appreciated.

Thanks,

Offline smurph

*
  • *
  •  1,475 1,475
  • "That there... that's an RV."
    • View Profile
Re: Mach4Hobby_Installer-4.2.0.4612 update issue
« Reply #1 on: May 10, 2021, 02:12:40 PM »
Perhaps your screen set has some LUA 5.2 (4300) code that is not compatible with LUA 5.3 (4612)?  Although I can't say this is exactly the issue, I can say it is most likely the issue.  You can start commenting out custom code in 4300, block by block if needed, until the screen loads in 4612.  That way you can determine what is causing the problem.  Then we can help you updating your LUA code. 

Both builds can coexist on your PC at the same time.  Just install 4612 into another directory, say "C:\Mach4Hobby-4612"

Steve
Re: Mach4Hobby_Installer-4.2.0.4612 update issue
« Reply #2 on: May 11, 2021, 09:48:45 AM »
Thank you Steve.

I installed in build 4612 in "C:\Mach4Hobby-4612". Imported my profile and my screen sets in 4612 and all worked well. Restored my computer to three days ago and updated  "C:\Mach4Hobby" to build 4612 again and all is well. I don't know what the problem was but it is fixed now. Thank you!

Tony

Offline smurph

*
  • *
  •  1,475 1,475
  • "That there... that's an RV."
    • View Profile
Re: Mach4Hobby_Installer-4.2.0.4612 update issue
« Reply #3 on: May 11, 2021, 09:59:48 AM »
I'm glad you are up and running! 

Steve